DefaultGrailsFiltersClass (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.web.filters
[Groovy] Class DefaultGrailsFiltersClass

    java.lang.Object
      org.codehaus.groovy.grails.commons.AbstractGrailsClass
          org.codehaus.groovy.grails.commons.AbstractInjectableGrailsClass
              org.codehaus.groovy.grails.plugins.web.filters.DefaultGrailsFiltersClass

All Implemented Interfaces:
  GrailsFiltersClass

    class DefaultGrailsFiltersClass
    extends AbstractInjectableGrailsClass

Loads filter definitions into a set of FilterConfig instances.

Authors:
  mike
  Graeme Rocher

Field Summary

Fields inherited from class AbstractGrailsClass
grailsApplication

Property Summary
`static java.lang.Object` | `FILTERS`

Constructor Summary
`DefaultGrailsFiltersClass(java.lang.Class aClass)`

Method Summary
`java.util.List` | `getConfigs(java.lang.Object filters)`
`groovy.lang.MetaClass` | `getMetaClass()`

Methods inherited from class AbstractInjectableGrailsClass
byName, byType, getAvailable

Methods inherited from class AbstractGrailsClass
getClazz, getFullName, getGrailsApplication, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyDescriptors, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyType, getPropertyValue, getPropertyValue, getPropertyValueObject, getReference, getReferenceInstance, getShortName, getStaticPropertyValue, hasMetaMethod, hasMetaMethod, hasMetaProperty, hasProperty, isAbstract, isActionMethod, isReadableProperty, newInstance, setGrailsApplication, toString

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### FILTERS

    static java.lang.Object FILTERS

Constructor Detail

### DefaultGrailsFiltersClass

    DefaultGrailsFiltersClass(java.lang.Class aClass)

Method Detail

### getConfigs

    java.util.List getConfigs(java.lang.Object filters)

### getMetaClass

    @java.lang.Override
    groovy.lang.MetaClass getMetaClass()

Groovy Documentation